Function
streamPeek
Read next character from stream without advancing current position.
streamPeek(c, stream)
Include Headers
seqan/stream.h
Parameters

c | The read character is written here. Types: char &
stream | The stream object to read from. Types: StreamConcept

Remarks
Note that this might involve two calls into the stream library, e.g. for cstdio streams, it involves a call to both getc() and ungetc().
Return Values
int, 0 on success, otherwise the error value from the underlying string system.
Part of Concept
StreamConcept
See Also
streamReadBlock, streamReadChar
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59